# [BETA] Create network

```http
POST /compute/v1/tenants/{tenantId}/vpc/{vpcId}/networks
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `CreateNetwork`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `create:compute:networks`

Creates a new network within a VPC

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `vpcId` (string, required) — VPC ID

## Request body (required)

Create network request

Content type: `application/json`

- `gateway` (string)
- `name` (string)
- `netmask` (string)

Example request body:

```json
{
  "gateway": "string",
  "name": "string",
  "netmask": "string"
}
```

## Responses

### 201 — Created

Content type: `application/json`

- `cidr` (string)
- `createdAt` (string)
- `gateway` (string)
- `id` (string)
- `name` (string)
- `netmask` (string)
- `vpcId` (string)

### 400 — Bad Request

Content type: `application/json`

- `message` (string)

### 403 — Compute is read-only or suspended for this tenant

Content type: `application/json`

- `message` (string)

### 404 — Not Found

Content type: `application/json`

- `message` (string)
